Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 593204 - logging activities in catalog workflow
logging activities in catalog workflow
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog Workflow (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Wei Shen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 03:33 EDT by Mao DengFeng
Modified: 2014-06-22 21:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-22 04:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for workflow logging (21.10 KB, patch)
2010-05-31 02:07 EDT, Mao DengFeng
no flags Details | Diff

  None (edit)
Description Mao DengFeng 2010-05-18 03:33:41 EDT
The activities in catalog workflow should be logged into db. Then these activities can be tracked properly. 

We will try to minmic the logging mechanism for bug activities in BZ.

1) All fields which need be logged should be defined in a table, like BZ's 'fielddef'
2) Define a new table for workflow activities, like BZ's 'bugs_activity'

3) overwrite the 'update' function in workflow objects, add the codes for saving workflow activities.
Comment 1 Mao DengFeng 2010-05-18 04:37:26 EDT
The latest db schema for catalog workflow:
https://engineering.redhat.com/trac/hwcert/wiki/NewDatabaseSchema
Comment 2 Mao DengFeng 2010-05-31 02:07:50 EDT
Created attachment 418168 [details]
patch for workflow logging

Note You need to log in before you can comment on or make changes to this bug.